<?php

/**
 * NewsInsights About Page
 * @package NewsInsights
 *
*/

if( !class_exists('NewsInsights_About_page') ):

	class NewsInsights_About_page{

		function __construct(){

			add_action('admin_menu', array($this, 'newsinsights_backend_menu'),999);

		}

		// Add Backend Menu
        function newsinsights_backend_menu(){

            add_theme_page(esc_html__( 'NewsInsights Options','newsinsights' ), esc_html__( 'NewsInsights Options','newsinsights' ), 'activate_plugins', 'newsinsights-about', array($this, 'newsinsights_main_page'));

        }

        // Settings Form
        function newsinsights_main_page(){

            require get_template_directory() . '/classes/about-render.php';

        }

	}

	new NewsInsights_About_page();

endif;